#################################
#		Secret Rooms 2
#		Level 1 commands
#
#		-Commands for lvl 4
#
#		By Brozziest
#
#################################

execute as @e[tag=lvl4TotemParticles] at @s run particle minecraft:campfire_cosy_smoke ~.5 ~-.5 ~ 1 -2 0 .05 0
execute as @e[tag=lvl4TotemParticles] at @s run particle minecraft:campfire_cosy_smoke ~-.5 ~-.5 ~ -1 -2 0 .05 0
execute as @e[tag=lvl4TotemParticles] at @s run particle minecraft:campfire_cosy_smoke ~ ~-.5 ~.5 0 -2 1 .05 0
execute as @e[tag=lvl4TotemParticles] at @s run particle minecraft:campfire_cosy_smoke ~ ~-.5 ~-.5 0 -2 -1 .05 0
execute as @e[tag=lvl4TotemParticles] at @s run particle minecraft:campfire_cosy_smoke ~.5 ~-.5 ~.5 1 -2 1 .05 0
execute as @e[tag=lvl4TotemParticles] at @s run particle minecraft:campfire_cosy_smoke ~-.5 ~-.5 ~.5 -1 -2 1 .05 0
execute as @e[tag=lvl4TotemParticles] at @s run particle minecraft:campfire_cosy_smoke ~.5 ~-.5 ~-.5 1 -2 -1 .05 0
execute as @e[tag=lvl4TotemParticles] at @s run particle minecraft:campfire_cosy_smoke ~-.5 ~-.5 ~-.5 -1 -2 -1 .05 0

#################### Tips ####################

execute as @e[tag=nTip,tag=!nUsed] at @s run scoreboard players add @s tip 1
execute as @e[tag=nTip,tag=!nUsed] at @s run tag @a add nUsed
execute as @e[tag=nTip] at @s run playsound minecraft:entity.item.pickup master @s ~ ~ ~ 1 .5
execute as @e[tag=nTip] at @s run tellraw @a ["",{"text":"Nether Star Tip:","color":"gray"},{"text":"\nCows can smell wheat through walls...","color":"gray"}]
execute as @e[tag=nTip] at @s run tag @s remove nTip

execute as @e[tag=eTip,tag=!eUsed] at @s run scoreboard players add @s tip 1
execute as @e[tag=eTip,tag=!eUsed] at @s run tag @a add eUsed
execute as @e[tag=eTip] at @s run playsound minecraft:entity.item.pickup master @s ~ ~ ~ 1 .5
execute as @e[tag=eTip] at @s run tellraw @a ["",{"text":"Emerald Tip:","color":"green"},{"text":"\nFishing rods grab entites, even through block edges (Look for an out-of-place block inside)...","color":"green"}]
execute as @e[tag=eTip] at @s run tag @s remove eTip

execute as @e[tag=dTip,tag=!dUsed] at @s run scoreboard players add @s tip 1
execute as @e[tag=dTip,tag=!dUsed] at @s run tag @a add dUsed
execute as @e[tag=dTip] at @s run playsound minecraft:entity.item.pickup master @s ~ ~ ~ 1 .5
execute as @e[tag=dTip] at @s run tellraw @a ["",{"text":"Diamond Tip:","color":"aqua"},{"text":"\nFilling a composter is detectable. You can also stand in a filled composter. You can also also close a trap door to squish yourself inside. Stand in the composter, squish yourself, fill it up, then once the pistons pull you across, either fill it again or empty it to get out.","color":"aqua"}]
execute as @e[tag=dTip] at @s run tag @s remove dTip

execute as @e[tag=tTip,tag=!tUsed] at @s run scoreboard players add @s tip 1
execute as @e[tag=tTip,tag=!tUsed] at @s run tag @a add tUsed
execute as @e[tag=tTip] at @s run playsound minecraft:entity.item.pickup master @s ~ ~ ~ 1 .5
execute as @e[tag=tTip] at @s run tellraw @a ["",{"text":"Totem Tip:","color":"dark_red"},{"text":"\nGrass Path blocks created by right clicking grass with a shovel are not a full block in height (Look for an out-of-place block outside)...","color":"dark_red"}]
execute as @e[tag=tTip] at @s run tag @s remove tTip

execute as @e[tag=aTip,tag=!aUsed] at @s run scoreboard players add @s tip 1
execute as @e[tag=aTip,tag=!aUsed] at @s run tag @a add aUsed
execute as @e[tag=aTip] at @s run playsound minecraft:entity.item.pickup master @s ~ ~ ~ 1 .5
execute as @e[tag=aTip] at @s run tellraw @a ["",{"text":"Golden Apple Tip:","color":"gold"},{"text":"\nItem frames don't cover a full block (even if a map is on display), and can be clicked through at the right angle when placed on a sign. Try the testing this on the bottom middle frame...","color":"gold"}]
execute as @e[tag=aTip] at @s run tag @s remove aTip




##################### Item Collection ####################

scoreboard players set @e[tag=storeInfo] itemsCollected 0
execute if entity @a[nbt={Inventory:[{id:"minecraft:nether_star"}]}] run scoreboard players add @e[tag=storeInfo] itemsCollected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:diamond"}]}] run scoreboard players add @e[tag=storeInfo] itemsCollected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:emerald"}]}] run scoreboard players add @e[tag=storeInfo] itemsCollected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:enchanted_golden_apple"}]}] run scoreboard players add @e[tag=storeInfo] itemsCollected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:totem_of_undying"}]}] run scoreboard players add @e[tag=storeInfo] itemsCollected 1

execute as @e[tag=storeInfo,limit=1] at @s if entity @e[tag=storeInfo,scores={itemsCollected=5}] run function secretrooms2:levels/level_finish
scoreboard players set @e[tag=storeInfo] itemsCollected 0


##################### Room Found Announcement ####################

execute as @a at @s if entity @s[x=72,y=41,z=-277,dx=2,dy=2,dz=0,tag=!eRoom] run tellraw @a ["",{"text":"-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"dark_green"},{"text":"\n Emerald Room Found!","color":"green","bold":"true"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"dark_green"}]
execute as @a at @s if entity @s[x=72,y=41,z=-277,dx=2,dy=2,dz=0,tag=!eRoom] run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute as @a at @s if entity @s[x=72,y=41,z=-277,dx=2,dy=2,dz=0,tag=!eRoom] run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute as @a at @s if entity @s[x=72,y=41,z=-277,dx=2,dy=2,dz=0,tag=!eRoom] run tag @a add eRoom

execute as @a at @s if entity @s[x=93,y=44,z=-239,dx=1,dy=2,dz=1,tag=!dRoom] run tellraw @a ["",{"text":"-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"dark_blue"},{"text":"\n Diamond Room Found!","color":"aqua","bold":"true"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"dark_blue"}]
execute as @a at @s if entity @s[x=93,y=44,z=-239,dx=1,dy=2,dz=1,tag=!dRoom] run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute as @a at @s if entity @s[x=93,y=44,z=-239,dx=1,dy=2,dz=1,tag=!dRoom] run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute as @a at @s if entity @s[x=93,y=44,z=-239,dx=1,dy=2,dz=1,tag=!dRoom] run tag @a add dRoom

execute as @a at @s if entity @s[x=103,y=48,z=-284,dx=0,dy=2,dz=0,tag=!nRoom] run tellraw @a ["",{"text":"-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"white"},{"text":"\n Nether Star Room Found!","color":"gray","bold":"true"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"white"}]
execute as @a at @s if entity @s[x=103,y=48,z=-284,dx=0,dy=2,dz=0,tag=!nRoom] run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute as @a at @s if entity @s[x=103,y=48,z=-284,dx=0,dy=2,dz=0,tag=!nRoom] run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute as @a at @s if entity @s[x=103,y=48,z=-284,dx=0,dy=2,dz=0,tag=!nRoom] run tag @a add nRoom

execute as @a at @s if entity @s[x=82,y=42,z=-261,dx=2,dy=2,dz=2,tag=!aRoom] run tellraw @a ["",{"text":"-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"gold"},{"text":"\n Golden Apple Room Found!","color":"yellow","bold":"true"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"gold"}]
execute as @a at @s if entity @s[x=82,y=42,z=-261,dx=2,dy=2,dz=2,tag=!aRoom] run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute as @a at @s if entity @s[x=82,y=42,z=-261,dx=2,dy=2,dz=2,tag=!aRoom] run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute as @a at @s if entity @s[x=82,y=42,z=-261,dx=2,dy=2,dz=2,tag=!aRoom] run tag @a add aRoom

execute as @a at @s if entity @s[x=135,y=44,z=-283,dx=2,dy=2,dz=1,tag=!tRoom] run tellraw @a ["",{"text":"-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"red"},{"text":"\n Totem Room Found!","color":"dark_red","bold":"true"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"red"}]
execute as @a at @s if entity @s[x=135,y=44,z=-283,dx=2,dy=2,dz=1,tag=!tRoom] run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute as @a at @s if entity @s[x=135,y=44,z=-283,dx=2,dy=2,dz=1,tag=!tRoom] run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute as @a at @s if entity @s[x=135,y=44,z=-283,dx=2,dy=2,dz=1,tag=!tRoom] run tag @a add tRoom